EDIT - feature request #6315

Implement setSecundumForSubtree in TaxEditor
01/07/2017 12:17 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 5:00 hours
Target version: Release 4.6

Severity: normal

Description

The functionality has been implemented in #3465

It needs to be called via taxon navigator right click menu. A configurator is required.

Related issues:

Related to EDIT - bug #6359: Remaining issues secundum for subtrees Closed
Related to EDIT - feature request #4155: Implement handler (IHandler) to trig... Closed
Follows EDIT - feature request #3465: Function to copy secundum reference of ... Closed
Copied to EDIT - bug #9390: Remaining issues for set secundum dialog In Progress

Associated revisions

Revision a59e10db - 02/10/2017 03:03 PM - Katja Luther

ref #6315: minor changes for the implementing setSecundum for subtree in editor

Revision 57aa2fdb - 02/10/2017 03:18 PM - Katja Luther

ref #6315: implement set secundum reference for subtree in editor

Revision d898479a - 02/17/2017 12:51 PM - Katja Luther

fix #6315: adapt the setSecundum for subtree functionality in editor

Revision 63f3¢747 - 03/07/2017 02:11 PM - Katja Luther

ref #6315: avoid NPE if new entity is created from filteredSelectionDialog called from the navigator which has no conversation

Revision fd29bcac - 03/07/2017 02:26 PM - Katja Luther

ref #6315: add message that if no reference is chosen the sec references are deleted

Revision 5d69e246 - 05/31/2017 12:10 PM - Katja Luther

fix #6315: remaining issues of set secundum reference integration

Revision dd915781 - 09/22/2017 06:25 PM - Andreas Muller

ref #6315 adapt labels for setSecundumForSubtree

Revision 64c89096 - 09/22/2017 06:29 PM - Andreas Miiller

ref #6315 adapt labels for setSecundumForSubtree

History

#1 - 01/07/2017 12:18 AM - Andreas Miiller
- Due date set to 01/16/2014
- Start date changed from 01/07/2017 to 01/16/2014

- Follows feature request #3465: Function to copy secundum reference of a given taxon node to all it's children added

#2 - 01/09/2017 11:21 PM - Andreas Miiller
- Due date changed from 01/12/2017 to 01/16/2017
https://dev.e-taxonomy.eu/redmine/issues/3465

#3 - 01/19/2017 01:33 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#4 - 01/20/2017 02:32 PM - Andreas Miiller

- Related to bug #6359: Remaining issues secundum for subtrees added

#5 - 02/08/2017 09:37 AM - Katja Luther

- Due date changed from 01/16/2017 to 02/10/2017
- Start date changed from 01/12/2017 to 02/09/2017
- Estimated time set to 5:00 h

#6 - 02/13/2017 03:52 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

implemented the menu item for the navigator. At the moment it is possible to remove the sec reference of the subtree if no reference is chosen.

Please review.

#7 - 02/16/2017 08:35 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Some layout and labeling issues:

e The New secundum reference label is not translated

¢ "anwenden auf akzeptierten Taxa" | would change to "akzeptierte Taxa" (otherwise change Synonyme to Synonymen)

* Enable "bestehende Sec Ref bei akzeptierten Taxa Uberschreiben” only if "anwenden auf akzeptierte Taxa" is checked, also move it up directly
below "anwenden auf akz..." and do some indentation

Same applies to "bestehende Sec Ref bei Synonymen lberschreiben”

"auch geteilte Taxa mit einbeziehen": =>"... mehrfach verwendete ..."

The background of the new reference should be white, not grey.

We should add a note saying that an empty reference will delete the secundum for all taxa/synonyms

#8 - 02/16/2017 08:52 PM - Andreas Miller

¢ If neither accepted taxa nor synonyms are checkedthe OK button should be disabled
e "mehrfach verwendete" taxa should be enabled only if accepted taxa are checked, also move up below akzeptierte Taxa tberschreiben and do
indentation

#9 - 02/16/2017 08:53 PM - Andreas Miuller

Trying to create a new Reference in the reference selection box throws an NPE when clicking on ok:

login : admin
editor version : 4.6.0.201702161652
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.1.0.0.201607300000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog$3.widgetSelected (
AbstractFilteredCdmResourceSelectionDialog. java:502)
at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:240)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1053)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1077)
at org.eclipse.swt.widgets.Widget.sendSelectionEvent (Widget. java:1094)
at org.eclipse.swt.widgets.Link.wmNotifyChild(Link.java:1071)
at org.eclipse.swt.widgets.Control.wmNotify (Control. java:5534)
at org.eclipse.swt.widgets.Composite.wmNotify (Composite.java:1896)
at org.eclipse.swt.widgets.Control.WM_NOTIFY (Control.java:5086)
at org.eclipse.swt.widgets.Control.windowProc (Control. java:4584)
at org.eclipse.swt.widgets.Display.windowProc (Display.java:4985)
at org.eclipse.swt.internal.win32.0S.CallWindowProcW (Native Method)
at org.eclipse.swt.internal.win32.0S.CallWindowProc (0OS.java:2425)

03/20/2024 2/5



at
at
at
at
at
at
at
at
at
at
at
at

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
org.

org

.eclipse.
eclipse.
eclipse.

eclipse

swt
swt

swt

swt

swt

jfa
.Jjfa

swt.

swt.
swt.

swt.

.widgets.Link.callWindowProc (Link.java:172)
.widgets.Widget .wmLButtonUp (Widget. java:2057)
widgets.Control .WM_LBUTTONUP (Control. java:4912)
.widgets.Link.WM_LBUTTONUP (Link. java:909)
.widgets.Control.windowProc (Control. java:4565)
widgets.Display.windowProc (Display.java:4985)
internal.win32.0S.DispatchMessageW (Native Method)
.internal.win32.0S.DispatchMessage (0S. java:2531)
widgets.Display.readAndDispatch (Display. java:3752)
ce.window.Window.runEventLoop (Window. java:825)
ce.window.Window.open (Window. java:801)

eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getSelectionFromD

ialog (AbstractFilteredCdmResourceSelectionDialog. java:146)
at eu.etaxonomy.taxeditor.ui.dialog.selection.ReferenceSelectionDialog.select (ReferenceSelectionDialog. jav

a:6l)

at eu.etaxonomy.taxeditor.ui.dialog.selection.SelectionDialogFactory.getSelectionFromDialog (SelectionDialo
gFactory. java:87)

at eu.etaxonomy.taxeditor.ui.dialog.selection.SelectionDialogFactory.getSelectionFromDialog(SelectionDialo
gFactory. java:60)

at eu.etaxonomy.taxeditor.ui.dialog.configurator.SetSecundumForSubtreeConfigurationDialog.handleEvent (SetS
ecundumForSubtreeConfigurationDialog. java:155)
.widgets.EventTable.sendEvent (EventTable. java:84)
.widgets.Widget.sendEvent (Widget.java:1053)
widgets.Display.runDeferredEvents (Display.java:4165)
.widgets.Display.readAndDispatch (Display.java:3754)
ce.window.Window.runEventLoop (Window. java:825)
ce.window.Window.open (Window. java:801)
ce.dialogs.MessageDialog.open (MessageDialog. java:334)

eu.etaxonomy.taxeditor.ui.dialog.configurator.SetSecundumForSubtreeConfigurationDialog.openConfirmWithC
onfigurator (SetSecundumForSubtreeConfigurationDialog. java:112)

at eu.etaxonomy.taxeditor.navigation.navigator.handler.SetSecReferenceForSubtreeHandler.allowOperations (Se
tSecReferenceForSubtreeHandler. java:88)
eu.etaxonomy.taxeditor.operation.RemotingCdmHandler.execute (RemotingCdmHandler. java:39)
internal.handlers.HandlerProxy.execute (HandlerProxy.java:293)
e.commands.Command.executeWithChecks (Command. java:476)
e.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:508)
internal.handlers.HandlerService.executeCommand (HandlerService. java:169)
internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService. java:241)
internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService. java:241)

.menus.CommandContributionItem.handleWidgetSelection (CommandContributionItem. java:829)

menus.CommandContributionItem.access$19 (CommandContributionItem. java:815)
menus.CommandContributionItem$5.handleEvent (CommandContributionItem. java:805)
.widgets.EventTable.sendEvent (EventTable. java:84)
.widgets.Widget.sendEvent (Widget.java:1053)
widgets.Display.runDeferredEvents (Display.java:4165)
.widgets.Display.readAndDispatch (Display.java:3754)
internal.Workbench.runEventLoop (Workbench. java:2701)
internal.Workbench.runUI (Workbench. java:2665)
internal.Workbench.access$4 (Workbench. java:2499)
internal.Workbench$7.run (Workbench. java:679)
e.databinding.observable.Realm.runWithDefault (Realm. java:332)
internal.Workbench.createAndRunWorkbench (Workbench. java:668)
PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
inox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
e.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher.java:110

e.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:79)
e.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:344)
e.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
iveMethodAccessorImpl.invokeO (Native Method)

iveMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
egatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

org.eclipse.equinox.launcher.Main.run (Main. java:1410)

#10 - 02/16/2017 08:54 PM - Andreas Miiller

The progressbar does not seem to work. Is this because it is not yet correctly implemented in the underlying cdmlib method?

#11 - 02/16/2017 08:54 PM - Andreas Miiller
- % Done changed from 0 to 70
#12 - 02/16/2017 08:55 PM - Andreas Miiller

Generally the functionality seems to work well.

#13 - 02/17/2017 12:51 PM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 70 to 50

Applied in changeset taxeditor|d898479a7e96e9b83ca7042327ab076846fe143c.

#14 - 03/09/2017 03:04 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#15 - 03/10/2017 01:32 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Some Remaining issues:

#16 - 05/31/2017 12:13 PM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|5d69e246c91b58746dd6228f7b39977127a2353d.

#17 - 05/31/2017 03:09 PM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Miiller

#18 - 09/22/2017 06:12 PM - Andreas Miiller
- File picture977-1.png added

If the dialog box width is reduced (almost to minimum) the last 2 checkbox lines disappear. Increasing width does not make them reappear. See
attachement.

If this is diffcult to fix wie should maybe work with larger minimum width. Also the minimum hight should always allow to show all options | think (but
not sure).

#19 - 09/22/2017 06:30 PM - Andreas Miiller
- Due date deleted (02/10/2017)
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

There is also a lot of space between label "New secundum reference" and the text box for the secundum. Can we minimize this space or maybe put
the textbox and the selection buttons in the next line to avoid problems with resizing.

#20 - 09/22/2017 06:35 PM - Andreas Miiller

- Related to feature request #4155: Implement handler (IHandler) to trigger recursive setting of the publish bit on a taxon subtree added

#21 - 01/18/2021 10:24 AM - Andreas Miiller
- Copied to bug #9390: Remaining issues for set secundum dialog added

#22 - 01/18/2021 10:25 AM - Andreas Muller

Andreas Muller wrote:

There is also a lot of space between label "New secundum reference" and the text box for the secundum. Can we minimize this space or maybe
put the textbox and the selection buttons in the next line to avoid problems with resizing.

This seems to befixed. But there is another remaining issue => put to follow up ticket #9390

#23 - 01/18/2021 10:26 AM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

Files

picture977-1.png 10.2 KB 09/22/2017 Andreas Muller
